package jump.libx.phase;

/**
 * Diese Klasse kapselt einen Phaser und fngt in den invokeXxx() Methoden die ggf.
 * geworfenen PhaserExceptions ab und reicht diese an den Standard-ExceptionHandler
 * des Jump Frameworks weiter.
 * <pre>
 * Created by neh
 * Date: 01.04.2005
 * Time: 09:32:52
 * </pre>
 */
public class HandledPhaser {
   private Phaser _phaser = null;

   public HandledPhaser( Phaser phaser ) {
      _phaser = phaser;
   }

   public Phaser getPhaser() {
      return _phaser;
   }

   public void invokeAll() {
      try {
         _phaser.invokeAll();
      } catch ( PhaserException e ) {
         e.printStackTrace();
      }
   }

   public void invoke( int[] phaseList ) {
      try {
         _phaser.invoke( phaseList );
      } catch ( PhaserException e ) {
         e.printStackTrace();
      }
   }

   public void invoke( String[] methodNameList ) {
      try {
         _phaser.invoke( methodNameList );
      } catch ( PhaserException e ) {
         e.printStackTrace();
      }
   }



}
