package jump.libx.phase;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Diese Annotation dient dazu, eine Reihe von Methoden in Phasen einzuteilen.
 * Eine Phase hat einen Index und einen Anzeigenamen. Die in Phasen eingeteilten
 * Methoden werden in der Reihenfolge aufsteigend nach Index aufgerufen. Die methoden
 * mssen in einem Interface implementiert sein, welches aus dem Interface Phased
 * abgeleitet ist.
 * <pre>
 * Created by neh
 * Date: 31.03.2005
 * Time: 15:12:04
 * </pre>
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface Phase {
   int index();
   String displayName() default "";
}
