package jump.libx.phase;

/**
 * Hier werden die Standardphasen definiert, die beim Erstellen/Aufrufen einer Maske durchlaufen
 * werden.
 * Created by neh
 * Date: 31.03.2005
 * Time: 15:09:23
 */
public interface PhasedMask extends Phased {

   @Phase(index = 0, displayName = "Erstellung")
   public void construct();

   @Phase(index = 1, displayName = "Argumente interpretieren")
   public void applyArguments();

   @Phase(index = 2, displayName = "Zugriffsprfung")
   public void accessCheck();

   @Phase(index = 3, displayName = "Inhaltsprfung")
   public void contentValidation();

   @Phase(index = 4, displayName = "Befllung Master")
   public void populateMasterControls();

   @Phase(index = 5, displayName = "Befllung Detail")
   public void populateDataControls();

   @Phase(index = 6, displayName = "Abhngigkeiten einstellen")
   public void updateDependencies();

   @Phase(index = 7, displayName = "Plausibilisierung")
   public void accessValidation();

   @Phase(index = 8, displayName = "Aktivierung")
   public void activate();

}
