package jump.libx.phase.event;

import jump.libx.phase.Phaser;
import jump.libx.phase.Phase;

import java.util.ArrayList;

/**
 * Created by neh
 * Date: 28.06.2005
 * Time: 12:20:55
 */
public class PhaseEventHandler {

   private Phaser _phaser = null;
   private ArrayList<PhaseListener> _listenerList = new ArrayList<PhaseListener>();

   public PhaseEventHandler( Phaser phaser ) {
      _phaser = phaser;
   }

   public Phaser getPhaser() {
      return _phaser;
   }

   public void addPhaseListener( PhaseListener listener ) {
      _listenerList.add( listener );
   }

   public void removePhaseListener( PhaseListener listener ) {
      _listenerList.remove( listener );
   }

   public void notifyBefore( Phase phase ) {
      PhaseEvent event = new PhaseEvent( phase );
      for( PhaseListener listener : _listenerList ) {
         listener.before( event );
      }
   }

   public void notifyAfter( Phase phase ) {
      PhaseEvent event = new PhaseEvent( phase );
      for( PhaseListener listener : _listenerList ) {
         listener.after( event );
      }
   }

}
