package jump.libx.phase.helper;

import jump.libx.phase.Phase;

import java.lang.reflect.Method;

/**
 * Eine Hilfsklasse, die von einem Phaser verwendet wird.
 * Created by neh
 * Date: 31.03.2005
 * Time: 16:07:21
 */
public class MethodWrapper {

   private Phase _phase = null;
   private Method _method = null;

   public MethodWrapper( Method method, Phase phase ) {
      _method = method;
      _phase = phase;
   }

   public Phase getPhase() {
      return _phase;
   }

   public int getPhaseIndex() {
      return _phase.index();
   }

   public Method getMethod() {
      return _method;
   }

   /**
    * Liefert true, wenn in der indexList ein Index enthalten ist, der dem phaseIndex
    * dieses Wrappers entspricht; false sonst.
    * @param indexList
    * @return
    */
   public boolean isContained( int[] indexList ) {
      boolean isContained = false;
      for( int i : indexList ) {
         if ( i == _phase.index() ) {
            isContained = true;
            break;
         }
      }
      return isContained;
   }

   /**
    * Liefert true, wenn in der Liste der Methodennamen ein Name enthalten ist, der dem
    * Methodennamen dieses Wrappers entspricht; false sonst.
    * @param methodNameList
    * @return
    */
   public boolean isContained( String[] methodNameList ) {
      boolean isContained = false;
      for( String methodName : methodNameList ) {
         if ( methodName.equals( _method.getName() ) ) {
            isContained = true;
            break;
         }
      }
      return isContained;
   }



}
