package jump.libx.phase.sample;

import jump.libx.phase.Phase;
import jump.libx.phase.Phaser;
import jump.libx.phase.PhaserException;
import jump.libx.phase.event.PhaseListener;
import jump.libx.phase.event.PhaseEvent;
import org.apache.log4j.Logger;
import org.apache.log4j.BasicConfigurator;

/**
 * Created by neh
 * Date: 04.05.2005
 * Time: 15:46:34
 */
public class MyMask extends AbstractMask {
   private static Logger logger = Logger.getLogger(MyMask.class);

   @Phase(index = 0, displayName = "Erstellung")
   public void construct() {
      logger.debug( "CONSTRUCT!");
   }

   @Phase(index = 8, displayName = "Aktivierung")
   public void activate() {
      logger.debug( "ACTIVATE!");
   }

   public static void main( String[] args ) {
      BasicConfigurator.configure( );
      final MyMask myMask = new MyMask();

      try {
         logger.debug( "ALL" );
         Phaser phaser = new Phaser( myMask );
         phaser.addPhaseListener( new PhaseListener() {
            public void before( PhaseEvent e ) {
               logger.debug( "Before: " + e.getPhase() );
            }
            public void after( PhaseEvent e ) {
               logger.debug( "After: " + e.getPhase() );
            }
         } );
         phaser.invokeAll();
         logger.debug( " =========================================== ");
         phaser.invoke( new int[] { 8,0 } );
      } catch ( PhaserException e ) {
         e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
      }

   }
}
